;
; mobile.conf
; configuration file for chan_mobile
;

[general]
interval=5              ; Number of seconds between trying to connect to devices.

; The following is a list of adapters we use.
; id must be unique and address is the bdaddr of the adapter from hciconfig.
; Each adapter may only have one device (headset or phone) connected at a time.
; Add an [adapter] entry for each adapter you have.

[adapter]
id=dongle
address=00:11:67:5D:44:39
;forcemaster=yes                ; attempt to force adapter into master mode. default is no.
;alignmentdetection=yes ; enable this if you sometimes get 'white noise' on asterisk side of the call
                        ; its a bug in the bluetooth adapter firmware, enabling this will compensate for it.
                        ; default is no.

;[adapter]
;id=Cell
;address=00:11:67:5D:44:39

; The following is a list of the devices we deal with.
; Every device listed below will be available for calls in and out of Asterisk.
; Each device needs an adapter=xxxx entry which determines which bluetooth adapter is used.
; Use the CLI command 'mobile search' to discover devices.
; Use the CLI command 'mobile show devices' to see device status.
;
; To place a call out through a mobile phone use Dial(Mobile/[device]/NNN.....) or Dial(Mobile/gn/NNN......) in$
; To call a headset use Dial(Mobile/[device]).

[SPHA640]
address=00:17:E3:18:67:A2       ; the address of the phone
port=4                          ; the rfcomm port number (from mobile search)
context=incoming-mobile         ; dialplan context for incoming calls
type=phone
adapter=dongle                  ; adapter to use
group=1                         ; this phone is in channel group 1
